<?xml version="1.0" encoding="UTF-8"?>
<testsuites>
  <testsuite name="fastlane.lanes">
    
    
    
      
      <testcase classname="fastlane.lanes" name="0: cocoapods" time="2.829765">
        
      </testcase>
    
      
      <testcase classname="fastlane.lanes" name="1: git_add" time="0.027395">
        
      </testcase>
    
      
      <testcase classname="fastlane.lanes" name="2: git_commit" time="0.047217">
        
      </testcase>
    
      
      <testcase classname="fastlane.lanes" name="3: push_to_git_remote" time="0.632218">
        
      </testcase>
    
      
      <testcase classname="fastlane.lanes" name="4: git_tag_exists" time="0.008729">
        
      </testcase>
    
      
      <testcase classname="fastlane.lanes" name="5: remove_tag" time="0.551296">
        
      </testcase>
    
      
      <testcase classname="fastlane.lanes" name="6: add_git_tag" time="0.014473">
        
      </testcase>
    
      
      <testcase classname="fastlane.lanes" name="7: push_git_tags" time="0.58664">
        
      </testcase>
    
      
      <testcase classname="fastlane.lanes" name="8: pod_lib_lint" time="6.302795">
        
          <failure message="/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/actions/actions_helper.rb:48:in `execute_action'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/runner.rb:232:in `block in execute_action'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/runner.rb:227:in `chdir'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/runner.rb:227:in `execute_action'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/runner.rb:157:in `trigger_action_by_name'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/fast_file.rb:154:in `method_missing'&#10;Fastfile:54:in `block in parsing_binding'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/lane.rb:33:in `call'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/runner.rb:49:in `block in execute'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/runner.rb:45:in `chdir'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/runner.rb:45:in `execute'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/lane_manager.rb:56:in `cruise_lane'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/command_line_handler.rb:36:in `handle'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/commands_generator.rb:108:in `block (2 levels) in run'&#10;/Library/Ruby/Gems/2.3.0/gems/commander-fastlane-4.4.6/lib/commander/command.rb:178:in `call'&#10;/Library/Ruby/Gems/2.3.0/gems/commander-fastlane-4.4.6/lib/commander/command.rb:153:in `run'&#10;/Library/Ruby/Gems/2.3.0/gems/commander-fastlane-4.4.6/lib/commander/runner.rb:476:in `run_active_command'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane_core/lib/fastlane_core/ui/fastlane_runner.rb:76:in `run!'&#10;/Library/Ruby/Gems/2.3.0/gems/commander-fastlane-4.4.6/lib/commander/delegates.rb:15:in `run!'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/commands_generator.rb:333:in `run'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/commands_generator.rb:41:in `start'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/fastlane/lib/fastlane/cli_tools_distributor.rb:119:in `take_off'&#10;/Library/Ruby/Gems/2.3.0/gems/fastlane-2.117.1/bin/fastlane:23:in `&lt;top (required)&gt;'&#10;/usr/local/bin/fastlane:22:in `load'&#10;/usr/local/bin/fastlane:22:in `&lt;main&gt;'&#10;&#10;Exit status of command 'pod lib lint --allow-warnings' was 1 instead of 0.&#10;&#10; -&gt; MKRRadioManager
 -&gt; MKRRadioManager (0.0.1)&#10;    - WARN  | summary: The summary is not meaningful.&#10;    - ERROR | [iOS] xcodebuild: Returned an unsuccessful exit code. You can use `--verbose` for more information.&#10;    - NOTE  | xcodebuild:  note: Using new build system&#10;    - NOTE  | [iOS] xcodebuild:  note: Planning build&#10;    - NOTE  | [iOS] xcodebuild:  note: Constructing build description&#10;    - WARN  | xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/MKRRadioManager/Category/NSString+MKRRadioManagerAdd.h:12:11: warning: empty paragraph passed to '@return' command [-Wdocumentation]&#10;    - WARN  | [iOS] xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/MKRRadioManager/Category/NSString+MKRRadioManagerAdd.m:16:30: warning: implicit conversion loses integer precision: 'long' to 'int' [-Wshorten-64-to-32]&#10;    - WARN  | xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/frameworks/libASControl.framework/Headers/ASControlTools.h:92:23: warning: this function declaration is not a prototype [-Wstrict-prototypes]&#10;    - WARN  | xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/frameworks/libASControl.framework/Headers/ASControlTools.h:95:26: warning: this function declaration is not a prototype [-Wstrict-prototypes]&#10;    - WARN  | xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/frameworks/libASControl.framework/Headers/ASControlTools.h:247:28: warning: this function declaration is not a prototype [-Wstrict-prototypes]&#10;    - WARN  | xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/frameworks/libASControl.framework/Headers/ASControlTools.h:248:32: warning: this function declaration is not a prototype [-Wstrict-prototypes]&#10;    - WARN  | xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/MKRRadioManager/MKRRadioResorce.m:10:17: warning: auto property synthesis will not synthesize property 'songChannelUid' declared in protocol 'MKRRadioResorce' [-Wobjc-protocol-property-synthesis]&#10;    - NOTE  | xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/MKRRadioManager/MKRRadioResorce.h:53:40: note: property declared here&#10;    - NOTE  | xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/MKRRadioManager/MKRRadioResorce.m:21:1: note: add a '@synthesize' directive&#10;    - WARN  | xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/MKRRadioManager/MKRRadioResorce.m:10:17: warning: auto property synthesis will not synthesize property 'songFlag' declared in protocol 'MKRRadioResorce' [-Wobjc-protocol-property-synthesis]&#10;    - NOTE  | xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/MKRRadioManager/MKRRadioResorce.h:54:40: note: property declared here&#10;    - WARN  | [iOS] xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/MKRRadioManager/MKRAVPlayer/MKRPlayResourceStatus.m:18:34: warning: implicit conversion loses integer precision: 'long' to 'int' [-Wshorten-64-to-32]&#10;    - WARN  | [iOS] xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/MKRRadioManager/MKRAVPlayer/MKRPlayResourceStatus.m:32:32: warning: implicit conversion loses integer precision: 'long' to 'int' [-Wshorten-64-to-32]&#10;    - WARN  | [iOS] xcodebuild:  /Users/yyqxiaoyin/Desktop/MKRRadioManager/MKRRadioManager/Classes/MKRRadioManager/MKRBTRadioManager/MKRBTRadioControlManager.m:51:8: warning: unused variable 'song' [-Wunused-variable]&#10;    - NOTE  | [iOS] xcodebuild:  clang: error: linker command failed with exit code 1 (use -v to see invocation)&#10;&#10;[!] MKRRadioManager did not pass validation, due to 1 error.&#10;You can use the `--no-clean` option to inspect any issue.&#10;" />
        
      </testcase>
    
  </testsuite>
</testsuites>
